<?php 
include("header/datenbank.php");
include("header/vorlagen.php");
include("header/mail.php");

function vorschau_kreditkarte_gultig_check($zeit) 
{ 
  //zeit = MM/YY
  $zeit = trim($zeit);
  if($zeit=="")
    return false;
  
  $zeit = explode("/",$zeit);
  if(strlen($zeit[0])!=2)
    return false;
    
  if(strlen($zeit[1])!=2)
    return false;
    
  $zeit[1]="20".$zeit[1];
      
	if(mktime() > mktime(0, 0, 0, $zeit[0], 1, $zeit[1])) 
    return false; //vergangenheit
	else 
    return true; //zukunft
}


function vorschau_kreditkarte_karte_check($cc) 
{ 
	//cc = kreditkartennummer
	$f = (int) $cc[0];
	$s = (int) $cc[1];
	$ff = (int) substr($cc, 0, 4);
	$l = strlen($cc);

	if($f == 4 && ($l == 13 || $l == 16)) { $type = "Visa"; }
	if($f == 5 && $s > 0 && $s < 6 && $l == 16) { $type = "Mastercard"; }
	if($ff == 6011 && $l == 16) { $type = "Discover"; }

	if($type=="")
    return ""; //no type?  this is already an invalid card.

	$j = 0; //loop counter variable.
	$total = 0; //clear the total.
	for($i = $l - 1; $i > -1; $i--) { //start at the length - 1; while we're at 0 or above; decrease by 1 each loop.
		$j++; //increase our loop counter.
		$k = (int) $cc[$i]; //set k to the integer value of the $i'th digit of $cc.  $cc is really a string.
		if(!($j % 2)) { $k = $k * 2; } //every other loop, double the value of $k
		if($k > 9) { $k = substr($k, 0, 1) + substr($k, 1, 1); } //if we have two digits, make K their added value
		$total += $k; //add k to the total (doubled or normal, either way).
	}

	if($total % 10)
    return ""; //the total, when divided by 10, should leave no remainder.

	return $type;
}

function vorschau_kreditkarte_check($cc, $karte) 
{
  //cc = kreditkartennummer
  //karte = Visa, Mastercard, Discover
	$wirklichkarte = vorschau_kreditkarte_karte_check($cc);
	if(strtolower($wirklichkarte)==strtolower($karte)) 
    return true; //the type given matches the cc number given.
	else 
    return false; //oops, they don't match.  error.
}

function vorschau_prufen($db_id, $Formulartabelle, $Zieltabelle, $FWert, $z, $bezeichnung, $pflichtfeld, $prufung_nach_1, $prufung_nach_2, $prufung_nach_3, $prufung_nach_text1, $prufung_nach_text2, $prufung_nach_text3)
{
  $inhalt="";
  if($pflichtfeld=="ja")
  {
    if($FWert[$z]=="")
      $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Pflichtfeld (Whlen Sie einen Wert aus)</td></tr>';
  }
  if($FWert[$z]!="")
  {
    if($prufung_nach_1=="Kreditkartenprfung" || $prufung_nach_2=="Kreditkartenprfung" || $prufung_nach_3=="Kreditkartenprfung")
    {
      $prufungtext="";
      if($prufung_nach_1=="Kreditkartenprfung")
        $prufungtext=$prufung_nach_text1;
      elseif($prufung_nach_2=="Kreditkartenprfung")
        $prufungtext=$prufung_nach_text2;
      elseif($prufung_nach_3=="Kreditkartenprfung")
        $prufungtext=$prufung_nach_text3;
      
      $karte = $FWert[$z];
      $kartennummer = "";
      
      $SQLString = "SELECT * FROM ".$Formulartabelle." WHERE anzeigen='Ja' ORDER BY reihenfolge";
      $Formulardefinition = abfrage_datenbank($SQLString, $db_id);
      if($Formulardefinition!="")
      {
        for($zz=0;$zz<mysql_num_rows($Formulardefinition);$zz++)
        {
          if(trim(mysql_result($Formulardefinition,$zz,"reihenfolge"))==trim($prufungtext))
          {
            $kartennummer = trim($FWert[$zz]);
            if(vorschau_kreditkarte_check($kartennummer, $karte)==false)
            {
              $inhalt=$inhalt.'<tr><td  class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Kreditkarte ist nicht gltig</td></tr>';
              break;
            } 
          }
        }
      }
    }
    if($prufung_nach_1=="Kreditkarte gltig" || $prufung_nach_2=="Kreditkarte gltig" || $prufung_nach_3=="Kreditkarte gltig")
    {
      if(vorschau_kreditkarte_gultig_check($FWert[$z])==false)
          $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Kreditkarte ist nicht gltig (MM/JJ)</td></tr>';
    }
    if($prufung_nach_1=="Zahlen" || $prufung_nach_2=="Zahlen" || $prufung_nach_3=="Zahlen")
    {
      for($x=0;$x<strlen($FWert[$z]);$x++)
      {
        if($FWert[$z][$x]!="0" && $FWert[$z][$x]!="1" && $FWert[$z][$x]!="2" && $FWert[$z][$x]!="3" && $FWert[$z][$x]!="4" && $FWert[$z][$x]!="5" && $FWert[$z][$x]!="6" && $FWert[$z][$x]!="7" && $FWert[$z][$x]!="8" && $FWert[$z][$x]!="9")
        {
          $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Es sind nur Zahlen erlaubt (03451)</td></tr>';
          break;
        }
      }
    }
    if($prufung_nach_1=="Zahl mit Nachkommastellen" || $prufung_nach_2=="Zahl mit Nachkommastellen" || $prufung_nach_2=="Zahl mit Nachkommastellen")
    {
      $tmp=$FWert[$z];
      $tmp=ereg_replace(",",".",$tmp);
      settype($tmp,"double");
      settype($tmp,"string");
      if($tmp!=ereg_replace(",",".",$FWert[$z]))
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Es sind nur Kommazahlen mit '.$nachkomma.' Nachkommastellen erlaubt (z.B. 45,04)</td></tr>';
      }
    }
    if($prufung_nach_1=="Ganzzahl" || $prufung_nach_2=="Ganzzahl" || $prufung_nach_3=="Ganzzahl")
    {
      $tmp=$FWert[$z];
      settype($tmp,"integer");
      settype($tmp,"string");
      if($tmp!=$FWert[$z])
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Es sind nur Ganzzahlen erlaubt (z.B. 4509)</td></tr>';
      }
    }
    if($prufung_nach_1=="E-Mail" || $prufung_nach_2=="E-Mail" || $prufung_nach_3=="E-Mail")
    {
      if(email_pruefung($FWert[$z])==false)
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Keine gltige E-Mail Adresse (z. B. name@firma.de)</td></tr>';
      }
    }
    if($prufung_nach_1=="Datum" || $prufung_nach_2=="Datum" || $prufung_nach_3=="Datum")
    {
      $datum=explode(".",$FWert[$z]);
      if(strlen($datum[0])!=2 || strlen($datum[1])!=2 || strlen($datum[2])!=4)
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Keine gltiges Datumformat (z. B. 01.01.2000)</td></tr>';
      }
      if(checkdate($datum[1], $datum[0], $datum[2])==false)
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Keine gltiges Datum (z. B. 01.01.2000)</td></tr>';
      }
    }
    if($prufung_nach_1=="Uhrzeit" || $prufung_nach_2=="Uhrzeit" || $prufung_nach_3=="Uhrzeit")
    {
      $Uhrzeit = explode(":",$FWert[$z]);
      if(strlen($Uhrzeit[0])==2 and strlen($Uhrzeit[1])==2 and strlen($Uhrzeit[2])==2)
      {
        if($Uhrzeit[0]>=0 and $Uhrzeit[1]>=0 and $Uhrzeit[2]>=0)
        {
          if($Uhrzeit[0]<=23 and $Uhrzeit[1]<=59 and $Uhrzeit[2]<=59)
          {}
          else
          {
            $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Kein gltige Uhrzeit (00:00:00)</td></tr>';
          }
        }
        else
        {
          $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Kein gltige Uhrzeit (00:00:00)</td></tr>';
        }
      }
      else
      {
        $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Kein gltige Uhrzeit (00:00:00)</td></tr>';
      }
    }
  }
  if($prufung_nach_1=="Pflichtfeld wenn in Reihenfolge bestimmter Wert" || $prufung_nach_2=="Pflichtfeld wenn in Reihenfolge bestimmter Wert" || $prufung_nach_2=="Pflichtfeld wenn in Reihenfolge bestimmter Wert")
  {
    $prufungtext="";
    if($prufung_nach_1=="Pflichtfeld wenn in Reihenfolge bestimmter Wert")
      $prufungtext=explode("|",$prufung_nach_text1);
    elseif($prufung_nach_2=="Pflichtfeld wenn in Reihenfolge bestimmter Wert")
      $prufungtext=explode("|",$prufung_nach_text2);
    elseif($prufung_nach_3=="Pflichtfeld wenn in Reihenfolge bestimmter Wert")
      $prufungtext=explode("|",$prufung_nach_text3);
    
    if($prufungtext!="")
    {
      $SQLString = "SELECT * FROM ".$Formulartabelle." WHERE anzeigen='Ja' ORDER BY reihenfolge";
      $Formulardefinition = abfrage_datenbank($SQLString, $db_id);
      if($Formulardefinition!="")
      {
        for($zz=0;$zz<mysql_num_rows($Formulardefinition);$zz++)
        {
          if(trim(mysql_result($Formulardefinition,$zz,"reihenfolge"))==trim($prufungtext[0]))
          {
            if($FWert[$zz]==$prufungtext[1])
            {
              if($FWert[$z]=="")
              {
                //pflichtfeld
                $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Pflichtfeld (Whlen Sie einen Wert aus)</td></tr>';
                break;
              }
            } 
          }
        }
      }
    }
  }
  if($prufung_nach_1=="Gleich mit Wert von Reihenfolge" || $prufung_nach_2=="Gleich mit Wert von Reihenfolge" || $prufung_nach_3=="Gleich mit Wert von Reihenfolge")
  {
    $prufungtext="";
    if($prufung_nach_1=="Gleich mit Wert von Reihenfolge")
      $prufungtext=$prufung_nach_text1;
    elseif($prufung_nach_2=="Gleich mit Wert von Reihenfolge")
      $prufungtext=$prufung_nach_text2;
    elseif($prufung_nach_3=="Gleich mit Wert von Reihenfolge")
      $prufungtext=$prufung_nach_text3;
    
    $SQLString = "SELECT * FROM ".$Formulartabelle." WHERE anzeigen='Ja' ORDER BY reihenfolge";
    $Formulardefinition = abfrage_datenbank($SQLString, $db_id);
    if($Formulardefinition!="")
    {
      for($zz=0;$zz<mysql_num_rows($Formulardefinition);$zz++)
      {
        if(trim(mysql_result($Formulardefinition,$zz,"reihenfolge"))==trim($prufungtext))
        {
          if($FWert[$zz]!=$FWert[$z])
          {
            $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Wert mu gleich sein mit Wert von '.trim(mysql_result($Formulardefinition,$z,"bezeichnung")).'</td></tr>';
            break;
          } 
        }
      }
    }
  }
  if($prufung_nach_1=="Gleich dem Text" || $prufung_nach_2=="Gleich dem Text" || $prufung_nach_3=="Gleich dem Text")
  {
    $prufungtext="";
    if($prufung_nach_1=="Gleich dem Text")
      $prufungtext=$prufung_nach_text1;
    elseif($prufung_nach_2=="Gleich dem Text")
      $prufungtext=$prufung_nach_text2;
    elseif($prufung_nach_3=="Gleich dem Text")
      $prufungtext=$prufung_nach_text3;
   
    if(trim($FWert[$z])!=trim($prufungtext))
      $inhalt=$inhalt.'<tr><td class="formularfehlerbezeichnung">'.$bezeichnung.'</td><td class="formularfehler">Es ist nur Wert "'.$prufungtext.'" erlaubt.</td></tr>';
  }
  return $inhalt;
}





function vorschau_textarea_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextarea">'.stripslashes(nl2br($FWert)).'</td></tr>';
  return $inhalt;
}
function vorschau_textbox_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextbox">'.$FWert.'</td></tr>';
  return $inhalt;
}
function vorschau_password_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellepassword">'.$FWert.'</td></tr>';
  return $inhalt;
}
function vorschau_combobox_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecombobox">'.$FWert.'</td></tr>';
  return $inhalt;
}
function vorschau_checkbox_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecheckbox">';
  if(strtolower($FWert)=="ja") 
    $inhalt=$inhalt.'Ja ';
  else
    $inhalt=$inhalt.'Nein ';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_label_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt="";
  $inhalt='<tr><td class="formularzellelabel1">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'</td><td class="formularzellelabel2">'.$standardwert.'</td></tr>';
  return $inhalt;
}
function vorschau_uberschrift_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelleuberschrift">'.$bezeichnung.'</td><tr>';
  return $inhalt;
}
function vorschau_text_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelletext">'.$bezeichnung.'</td><tr>';
  return $inhalt;
}
function vorschau_submit_fertig($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='';
  return $inhalt;
}




function vorschau_textarea_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextarea"><textarea name="FWert['.$index.']" ';
  $inhalt=$inhalt.'class="formularsteuerelementtextarea">';
  $inhalt=$inhalt.$FWert;
  $inhalt=$inhalt.'</textarea>';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_textbox_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextbox"><input type="text" name="FWert['.$index.']" ';
  $inhalt=$inhalt.'value="'.$FWert.'" ';
  $inhalt=$inhalt.'class="formularsteuerelementtextbox">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_password_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellepassword"><input type="password" name="FWert['.$index.']" ';
  $inhalt=$inhalt.'value="'.$FWert.'" ';
  $inhalt=$inhalt.'class="formularsteuerelementpassword">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_combobox_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $gefunden=false;
  if($standardwert!="")
  {
    $ergebnis=explode("|",$standardwert);
    for($x=0;$x<count($ergebnis);$x++)
    {
      if($FWert==$ergebnis[$x])
      {
        $werte=$werte.'<option value="'.$ergebnis[$x].'" selected>'.$ergebnis[$x].'</option>';
        $gefunden=true;
      }
      else
        $werte=$werte.'<option value="'.$ergebnis[$x].'">'.$ergebnis[$x].'</option>';
    }
  }
  if($gefunden==false)
    $werte=$werte.'<option value="'.$FWert.'" selected>'.$FWert.'</option>';
    
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecombobox"><select name="FWert['.$index.']" ';
  $inhalt=$inhalt.'class="formularsteuerelementcombobox">'.$werte.'</select>';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_checkbox_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecheckbox"><input type="checkbox" name="FWert['.$index.']" value="Ja" ';
  if(strtolower($FWert)=="ja") $inhalt=$inhalt.'checked ';
  $inhalt=$inhalt.'class="formularsteuerelementcheckbox">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_label_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt="";
  $inhalt='<tr><td class="formularzellelabel1">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'</td><td class="formularzellelabel2">';
  $inhalt=$inhalt.$standardwert.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_uberschrift_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelleuberschrift">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><tr>';
  return $inhalt;
}
function vorschau_text_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelletext">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><tr>';
  return $inhalt;
}
function vorschau_submit_bearbeiten($FWert, $index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><td><input type="submit" name="Navigation" value="'.$bezeichnung.'" class="formularsteuerelementbutton">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}




function vorschau_textarea_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextarea"><textarea name="FWert['.$index.']" ';
  $inhalt=$inhalt.'class="formularsteuerelementtextarea">';
  $inhalt=$inhalt.$standardwert;
  $inhalt=$inhalt.'</textarea>';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_textbox_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzelletextbox"><input type="text" name="FWert['.$index.']" ';
  $inhalt=$inhalt.'value="'.$standardwert.'" ';
  $inhalt=$inhalt.'class="formularsteuerelementtextbox">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_password_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellepassword"><input type="password" name="FWert['.$index.']" ';
  $inhalt=$inhalt.'value="'.$standardwert.'" ';
  $inhalt=$inhalt.'class="formularsteuerelementpassword">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_combobox_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  if($standardwert!="")
  {
    $ergebnis=explode("|",$standardwert);
    for($x=0;$x<count($ergebnis);$x++)
    {
      if($x==0)
        $werte=$werte.'<option value="'.$ergebnis[$x].'" selected>'.$ergebnis[$x].'</option>';
      else
        $werte=$werte.'<option value="'.$ergebnis[$x].'">'.$ergebnis[$x].'</option>';
    }
  }
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecombobox"><select name="FWert['.$index.']" ';
  $inhalt=$inhalt.'class="formularsteuerelementcombobox">'.$werte.'</select>';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_checkbox_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.$bezeichnung;
  if($pflichtfeld=="ja") $inhalt=$inhalt.' <font color="red">*</font>';
  $inhalt=$inhalt.'</td><td class="formularzellecheckbox"><input type="checkbox" name="FWert['.$index.']" value="Ja" ';
  if(strtolower($standardwerte)=="ja") $inhalt=$inhalt.'checked ';
  $inhalt=$inhalt.'class="formularsteuerelementcheckbox">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_label_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt="";
  $inhalt='<tr><td class="formularzellelabel1">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'</td><td class="formularzellelabel2">';
  $inhalt=$inhalt.$standardwert.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}
function vorschau_uberschrift_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelleuberschrift">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><tr>';
  return $inhalt;
}
function vorschau_text_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td colspan="2" class="formularzelletext">';
  $inhalt=$inhalt.$bezeichnung;
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><tr>';
  return $inhalt;
}
function vorschau_submit_neu($index, $bezeichnung, $pflichtfeld, $standardwert)
{
  $inhalt='<tr><td class="formularzellebezeichnung">';
  $inhalt=$inhalt.'<input type="hidden" name="FWert['.$index.']" value="">';
  $inhalt=$inhalt.'</td><td><input type="submit" name="Navigation" value="'.$bezeichnung.'" class="formularsteuerelementbutton">';
  $inhalt=$inhalt.'</td></tr>';
  return $inhalt;
}


function vorschau($db_id,$FWert,$FormularAktion)
{
  //AKTION ARRAY
  //Durchlauf = aktion0
  //aktion = FormularAktion1 (neu, bearbeiten, vorschau)
  //formulartabelle = FormularAktion2 (tabelle in der die definitionen fr das formular stehen)
  //email = FormularAktion3 (emailadresse an die die werte geschickt werden sollen)
  //buttonbezeichnung = FormularAktion4 (bezeichnung des knopfes fr speichern)
  //Webseite = FormularAktion6(webseite die angezeigt werden soll)
  
  //db_id
  //FWert (ARRAY)
  
  $inhalt="";
  if($FormularAktion[6]!="")
  {
    if($FormularAktion[0]=="")
    {
      //neu oder bearbeiten
      //auslesen der kompetten tabelle
      $SQLString = "SELECT * FROM ".$FormularAktion[2]." WHERE anzeigen='Ja' AND webseite='".$FormularAktion[6]."' ORDER BY reihenfolge";
      $Formulardefinition = abfrage_datenbank($SQLString, $db_id);
      if($Formulardefinition!="")
      {
        $inhalt='<table class="formulartabelle">';
        for($z=0;$z<mysql_num_rows($Formulardefinition);$z++)
        {
          $bezeichnung=trim(mysql_result($Formulardefinition,$z,"bezeichnung"));
          $pflichtfeld=trim(strtolower(mysql_result($Formulardefinition,$z,"pflichtfeld")));
          $steuerelement=trim(strtolower(mysql_result($Formulardefinition,$z,"steuerelement")));
          $standardwert=trim(mysql_result($Formulardefinition,$z,"standardwert"));
          $prufung_nach_1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_1"));
          $prufung_nach_2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_2"));
          $prufung_nach_3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_3"));
          $prufung_nach_text1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text1"));
          $prufung_nach_text2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text2"));
          $prufung_nach_text3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text3"));
          
          //neu aufbauen
          if($steuerelement==strtolower("berschrift")) $inhalt=$inhalt.vorschau_uberschrift_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Label"))       $inhalt=$inhalt.vorschau_label_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Textbox"))     $inhalt=$inhalt.vorschau_textbox_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Password"))    $inhalt=$inhalt.vorschau_password_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Textarea"))    $inhalt=$inhalt.vorschau_textarea_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Checkbox"))    $inhalt=$inhalt.vorschau_checkbox_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Combobox"))    $inhalt=$inhalt.vorschau_combobox_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("Text"))        $inhalt=$inhalt.vorschau_text_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
          if($steuerelement==strtolower("senden"))      $inhalt=$inhalt.vorschau_submit_neu($z, $bezeichnung, $pflichtfeld, $standardwert);
 
        }
        $inhalt=$inhalt.'</table>';
        //button
        //$inhalt=$inhalt.button_anzeigen($FormularAktion[4], "Speichern", $db_id);
        //$inhalt=$inhalt.'<input type="submit" name="Navigation" value="'.$FormularAktion[4].'" class="formularsteuerelementbutton">';
        
        //hidden felder
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[0]" value="1">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[1]" value="'.$FormularAktion[1].'">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[2]" value="'.$FormularAktion[2].'">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[3]" value="'.$FormularAktion[3].'">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[4]" value="'.$FormularAktion[4].'">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[5]" value="'.$FormularAktion[5].'">';
        $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[6]" value="'.$FormularAktion[6].'">';
      }
      else
      {
        $inhalt=$inhalt."Kein Formular vorhanden<br>";
      }
    }
    else
    {
      //Prfen und evtl. abspeichern
      //auslesen der kompetten tabelle
      
      $Fehlerliste="";
      $SQLString = "SELECT * FROM ".$FormularAktion[2]." WHERE anzeigen='Ja' AND webseite='".$FormularAktion[6]."' ORDER BY reihenfolge";
      $Formulardefinition = abfrage_datenbank($SQLString, $db_id);
      if($Formulardefinition!="")
      {
        for($z=0;$z<mysql_num_rows($Formulardefinition);$z++)
        {
          $bezeichnung=trim(mysql_result($Formulardefinition,$z,"bezeichnung"));
          $pflichtfeld=trim(strtolower(mysql_result($Formulardefinition,$z,"pflichtfeld")));
          $steuerelement=trim(strtolower(mysql_result($Formulardefinition,$z,"steuerelement")));
          $standardwert=trim(mysql_result($Formulardefinition,$z,"standardwert"));
          $prufung_nach_1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_1"));
          $prufung_nach_2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_2"));
          $prufung_nach_3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_3"));
          $prufung_nach_text1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text1"));
          $prufung_nach_text2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text2"));
          $prufung_nach_text3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text3"));
          
          //echo $prufung_nach_1." ".$prufung_nach_text1."<br>";
          if($steuerelement!=strtolower("berschrift") && $steuerelement!=strtolower("Label"))
            $Fehlerliste=$Fehlerliste.vorschau_prufen($db_id, $FormularAktion[2], $FormularAktion[3], $FWert, $z, $bezeichnung, $pflichtfeld, $prufung_nach_1, $prufung_nach_2, $prufung_nach_3, $prufung_nach_text1, $prufung_nach_text2, $prufung_nach_text3);
        }
        
        if($Fehlerliste!="")
        {
          //muss bearbeiten eingefgt werden
          $inhalt='
          <table class="formulartabelle">
            <tr>
              <td colspan="2">
                <table class="formularfehlertabelle">'.$Fehlerliste.'</table>
              </td>
            </tr>';
           
          for($z=0;$z<mysql_num_rows($Formulardefinition);$z++)
          {
            $bezeichnung=trim(mysql_result($Formulardefinition,$z,"bezeichnung"));
            $pflichtfeld=trim(strtolower(mysql_result($Formulardefinition,$z,"pflichtfeld")));
            $steuerelement=trim(strtolower(mysql_result($Formulardefinition,$z,"steuerelement")));
            $standardwert=trim(mysql_result($Formulardefinition,$z,"standardwert"));
            $prufung_nach_1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_1"));
            $prufung_nach_2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_2"));
            $prufung_nach_3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_3"));
            $prufung_nach_text1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text1"));
            $prufung_nach_text2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text2"));
            $prufung_nach_text3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text3"));
            
            //bearbeiten aufbauen
            $QuellWert=$FWert[$z];
            
            if($steuerelement==strtolower("berschrift")) $inhalt=$inhalt.vorschau_uberschrift_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Label"))       $inhalt=$inhalt.vorschau_label_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Textbox"))     $inhalt=$inhalt.vorschau_textbox_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Password"))    $inhalt=$inhalt.vorschau_password_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Textarea"))    $inhalt=$inhalt.vorschau_textarea_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Checkbox"))    $inhalt=$inhalt.vorschau_checkbox_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Combobox"))    $inhalt=$inhalt.vorschau_combobox_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("Text"))        $inhalt=$inhalt.vorschau_text_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
            if($steuerelement==strtolower("senden"))      $inhalt=$inhalt.vorschau_submit_bearbeiten($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
          }
          $inhalt=$inhalt.'</table>';
          
          //$inhalt=$inhalt.button_anzeigen($FormularAktion[4], "Speichern", $db_id);
          //$inhalt=$inhalt.'<input type="submit" name="Navigation" value="'.$FormularAktion[4].'" class="formularsteuerelementbutton">';
          
          //hidden felder
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[0]" value="1">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[1]" value="'.$FormularAktion[1].'">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[2]" value="'.$FormularAktion[2].'">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[3]" value="'.$FormularAktion[3].'">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[4]" value="'.$FormularAktion[4].'">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[5]" value="'.$FormularAktion[5].'">';
          $inhalt=$inhalt.'<input type="hidden" name="FormularAktion[6]" value="'.$FormularAktion[6].'">';
        }
        else
        {
          //speichern
          
          if($FormularAktion[1]=="neu")
          {
            $emailadresse="";
            $inhalt='<table class="formulartabelle">';
             
            for($z=0;$z<mysql_num_rows($Formulardefinition);$z++)
            {
              $bezeichnung=trim(mysql_result($Formulardefinition,$z,"bezeichnung"));
              $pflichtfeld=trim(strtolower(mysql_result($Formulardefinition,$z,"pflichtfeld")));
              $steuerelement=trim(strtolower(mysql_result($Formulardefinition,$z,"steuerelement")));
              $standardwert=trim(mysql_result($Formulardefinition,$z,"standardwert"));
              $prufung_nach_1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_1"));
              $prufung_nach_2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_2"));
              $prufung_nach_3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_3"));
              $prufung_nach_text1=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text1"));
              $prufung_nach_text2=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text2"));
              $prufung_nach_text3=trim(mysql_result($Formulardefinition,$z,"prufung_nach_text3"));
              
              //bearbeiten aufbauen
              $QuellWert=$FWert[$z];
              
              if($steuerelement==strtolower("berschrift")) $inhalt=$inhalt.vorschau_uberschrift_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Label"))       $inhalt=$inhalt.vorschau_label_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Textbox"))     $inhalt=$inhalt.vorschau_textbox_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Password"))    $inhalt=$inhalt.vorschau_password_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Textarea"))    $inhalt=$inhalt.vorschau_textarea_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Checkbox"))    $inhalt=$inhalt.vorschau_checkbox_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Combobox"))    $inhalt=$inhalt.vorschau_combobox_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("Text"))        $inhalt=$inhalt.vorschau_text_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
              if($steuerelement==strtolower("senden"))
              {
                $inhalt=$inhalt.vorschau_submit_fertig($QuellWert, $z, $bezeichnung, $pflichtfeld, $standardwert);
                $emailadresse=$standardwert;
              }      

            }
            $inhalt=$inhalt.'</table>';
            
            $email='
            <html>
            <body>
            '.$inhalt.'
            </body>
            </html> 
            ';
            
            email_senden($emailadresse,$emailadresse, "E-Mail von der Webseite", $email);
            
            $inhalt='
            <table class="formularfertig">
            <tr><td>Folgende Daten wurden an "'.$emailadresse.'" verschickt.</td></tr>
            <tr><td>'.$inhalt.'</tr></td>
            <tr><td>';
            
            $SQLString = "SELECT meldung_text FROM meldungen WHERE meldung='Erfolgsmeldung Content Formular'";
            $Ergebnis = abfrage_datenbank($SQLString, $db_id);
            if($Ergebnis!="" && abfrage_zeilen($Ergebnis)!=0)
              $inhalt = $inhalt.abfrage_wert($Ergebnis,0,0);
            
            $inhalt = $inhalt.'</td></tr>
            </table>';
            
          }
          else
          {
            $inhalt="";
          }
        }
      }
      else
      {
        $inhalt=$inhalt."Kein Formular vorhanden<br>";
      }
    }  
  }
  else
  {
    $inhalt=$inhalt."Keine Webseite gewhlt<br>";
  }
  return $inhalt;
}

?>

<?php 
$db_id = verbindung_datenbank_aufbauen();
?>
<html>
<head>
<meta http-equiv="expires" content="0">
<style type="text/css">
<!--
<?php  
echo CSS_grafikconfig_shop($db_id);
echo CSS_grafikconfig_steuerelemente($db_id);
?>
-->
</style>
</head>
<body>
<?php 
  
  echo '<form name="form" enctype="multipart/form-data" method="POST" action="'.$PHP_SELF.'">';
  if(is_array($_POST[FormularAktion])==true)
  {
    $FormularAktion = array_values($_POST[FormularAktion]);
  }
  else
  {
    //AKTION ARRAY
    //Durchlauf = aktion0
    //aktion = FormularAktion1 (neu, bearbeiten, vorschau)
    //formulartabelle = FormularAktion2 (tabelle in der die definitionen fr das formular stehen)
    //wertetabelle = FormularAktion3 (tabelle in der die werte abgespeichert und ausgelesen werden)
    //buttonbezeichnung = FormularAktion4 (bezeichnung des knopfes fr speichern)
    //name der Autowertspalte = FormularAktion5 (name der spalte mit dem eindeutigen index)
    //Autowert = FormularAktion6 (eindeutiger wert (bentigt fr bearbeiten)
    
    $FormularAktion[0]="";
    $FormularAktion[1]="neu";
    $FormularAktion[2]=$_GET[webseite][0];
    
    $SQLString = "SELECT EMail_Adresse_Contentformular FROM config";
    $Ergebnis=abfrage_datenbank($SQLString,$db_id);
    
    if($Ergebnis!="" && abfrage_zeilen($Ergebnis)!=0)
      $FormularAktion[3]=abfrage_wert($Ergebnis,0,0);
    else
      $FormularAktion[3]="";

    $FormularAktion[4]="Senden";
    $FormularAktion[5]="Autowert";
    $FormularAktion[6]=urldecode($_GET[webseite][1]);
  }
	echo vorschau($db_id,$_POST[FWert],$FormularAktion);
    
  verbindung_datenbank_trennen($db_id);
?>

</form>
</body>
</html>